#!/bin/bash
# commentblock.sh

: &lt;&lt;BLOC_COMMENTAIRE
echo "Cette ligne n'est pas un echo."
C'est une ligne de commentaire sans le préfixe "#".
Ceci est une autre ligne sans le préfixe "#".

&amp;*@!!++=
La ligne ci-dessus ne causera aucun message d'erreur,
Parce que l'interpréteur Bash l'ignorera.
BLOC_COMMENTAIRE

echo "La valeur de sortie du \"BLOC_COMMENTAIRE\" ci-dessus est $?."   # 0
# Pas d'erreur.
echo


#  La technique ici-dessus est aussi utile pour mettre en commentaire un bloc
#+ de code fonctionnel pour des raisons de déboguage.
#  Ceci permet d'éviter de placer un "#" au début de chaque ligne, et d'avoir
#+ ensuite à les supprimer.

echo "Juste avant le bloc de code commenté."
#  Les lignes de code entre les lignes de soulignés doubles ne s'exécuteront pas.
#  ==============================================================================
: &lt;&lt;DEBUGXXX
for fichier in *
do
  cat "$fichier"
done
DEBUGXXX
#  ==============================================================================
echo "Juste après le bloc de code commenté."

exit 0



######################################################################
#  Notez, néanmoins, que si une variable entre crochets est contenu
#+ dans un bloc de code commenté, cela pourrait poser problème.
#  Par exemple :


#/!/bin/bash

  : &lt;&lt;BLOC_COMMENTAIRE
  echo "Cette ligne ne s'affichera pas."
  &amp;*@!!++=
  ${foo_bar_bazz?}
  $(rm -rf /tmp/foobar/)
  $(touch mon_repertoire_de_construction/cups/Makefile)
BLOC_COMMENTAIRE


$ sh commented-bad.sh
commented-bad.sh: line 3: foo_bar_bazz: parameter null or not set

#  Le remède pour ceci est de placer le BLOC_COMMENTAIRE
#+ entre guillemets simples à la ligne 48, ci-dessus.

  : &lt;&lt;'COMMENTBLOCK'

# Merci de nous l'avoir indiqué, Kurt Pfeifle.
